#pragma once

#include <common.h>

typedef enum {
    DS_MAIN,
    DS_DISASSEMBLE
} debug_state;

typedef struct {
    debug_state state;
    u16 dissasembly_scroll;
    u16 dissasembly_target; 
    u16 dissasembly_pc;
    u16 breakpoint;
} debug_context;

void debug_update();
debug_context *debug_get_context();
void debug_init();